diff --git a/extras/cppcheck/check_file.sh b/extras/cppcheck/check_file.sh
new file mode 100755
index 00000000..a560cd33
--- /dev/null
+++ b/extras/cppcheck/check_file.sh
@@ -0,0 +1,18 @@
+#!/bin/bash
+
+if [[ $@ -lt 1 ]]; then
+    echo "Usage: $0 <path to check>"
+    exit 1
+fi
+
+path=$1
+
+cppcheck --version
+cppcheck $path --enable=all \
+             --force \
+             --inline-suppr \
+             --suppress=ConfigurationNotChecked \
+             --suppress=unusedFunction \
+             --suppress=missingIncludeSystem \
+             --suppress=missingInclude \
+             --quiet